Skip to main content
Version: v2

List artworks

GET 

/v2/studio/artworks

List your artworks, newest first. Paginated with skip and limit.

Request​

Query Parameters

    newestFirst boolean

    Newest first when true. Default true.

    type number

    Filter by artwork type number.

    limit number

    Page size, 1 to 500. Default 10.

    skip number

    How many to skip. Default 0.

Responses​

Schema

    items

    object[]

  • Array [

  • id string
    artworkType number

    Artwork type number.

    parameters object

    The parameters the artwork was generated with.

    results string[]

    Result image URLs.

    status string

    Generation status.

    creditAmount number

    Credits charged for this artwork.

    createdAt date-time

    error

    object

    status number
    message string
  • ]

  • totalCount number

    Total matching artworks.

Loading...